// Grid Menus

.grid-menu {

    [class*="col-"] {
        border-right: $border-color solid 0;
        border-bottom: $border-color solid 1px;

        &:hover {
            z-index: 5;
        }
    }

    @include media-breakpoint-between(sm, xl) {

        [class*="col-"]:nth-last-child(-n+2) {
            border-bottom-width: 0;
        }

        [class*="col-"]:nth-child(1n) {
            border-right-width: 1px;
        }

        [class*="col-"]:nth-child(2n) {
            border-right-width: 0;
        }
    }

    [class*="col-"]:nth-last-child(-n+1) {
        border-bottom-width: 0;
    }

    &.grid-menu-3col {

        @include media-breakpoint-up(xl) {

            [class*="col-"]:nth-last-child(-n+3) {
                border-bottom-width: 0;
            }

            [class*="col-"]:nth-child(2n) {
                border-right-width: 1px;
            }

            [class*="col-"]:nth-child(3n) {
                border-right-width: 0;
            }
        }
    }

    .btn {
        display: block;
        border: 0;
        min-width: 100%;
    }

    .btn-icon-lg {
        font-size: $h1-font-size !important;
    }
}